aspose file tools*
The moose likes JDBC and the fly likes Oracle Drivers Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login
JavaRanch » Java Forums » Databases » JDBC
Bookmark "Oracle Drivers" Watch "Oracle Drivers" New topic
Author

Oracle Drivers

Stanley Tan
Ranch Hand

Joined: May 17, 2001
Posts: 243
What is the difference between the Oracle Thin and OCI drivers?
On the Oracle site, there is only the JDBC drivers for JDK1.1.1 for Oracle8. Is this the latest?
Adam Hardy
Ranch Hand

Joined: Oct 09, 2001
Posts: 566
They have the JDBC drivers for Oracle 8.1.7 for JDK 1.2.x
http://otn.oracle.com/software/tech/java/sqlj_jdbc/content.html

I have seen things you people would not believe, attack ships on fire off the shoulder of Orion, c-beams sparkling in the dark near the Tennhauser Gate. All these moments will be lost in time, like tears in the rain.
Stanley Tan
Ranch Hand

Joined: May 17, 2001
Posts: 243
I've been trying to get it to work for the past many days now and nothing seems to be working.
How can I work with Oracle Server 8.05 and JDK1.3? I mean, how do I configure Oracle to work with JDK1.3 instead of the JRE it came with (v1.1.1)? What drivers should I use with JDK1.3?
I always get a make_c_state error running the sample application.
Jamie Robertson
Ranch Hand

Joined: Jul 09, 2001
Posts: 1879

1. JRE - uninstall the old one, install the new jre.
2. decide on whether you want the thin or OCI drivers (thin recommended in most cases) - http://otn.oracle.com/tech/java/sqlj_jdbc/htdocs/jdbc_faq.htm#_59_
3. download the drivers for Oracle version 8.1.7(because the drivers are backward compatible to 8.0.x) for the jdk 1.2.x for Windows(assuming your running your clients from windows - http://otn.oracle.com/software/tech/java/sqlj_jdbc/htdocs/winsoft.html )
This link should help you the rest of the way (client configuration to trouble shooting) http://www.javaranch.com/ubb/Forum55/HTML/000010.html
hope this helps,
if you can post the error number(ORA-XXXXX) of your SQLExceptions it is sometimes easier to investigate the problem(if you are using the oracle drivers)
Jamie

3.
[This message has been edited by Jamie Robertson (edited December 14, 2001).]
Stanley Tan
Ranch Hand

Joined: May 17, 2001
Posts: 243
Thanks a lot. I tried downloading the 8.1.7 drivers but it looks for a DLL that I assume is specific to 8.1.7, so I guess it's not really backwards compatible with 8.05.
The thin driver is working. The OCI driver doesn't. I'm using it for a servlet/jsp 3-tier architecture. I guess using the thin driver would be recommended, right?
Jamie Robertson
Ranch Hand

Joined: Jul 09, 2001
Posts: 1879

I believe that the OCI driver(v.8.1.7) is compatible, but you are missing the DLL for the driver to work, or it can't find the DLL. This is a very common (and annoying!) error that can be frustrating to get right. It took me a couple of days to get mine working...This is one of the advantages of the thin drivers
If you want to trouble shoot this problem, you can start here: http://otn.oracle.com/tech/java/sqlj_jdbc/htdocs/jdbc_faq.htm#_39_ (assuming it is the "Unsatisfied link error with OCI driver"
but I would stick with the thin drivers anyway.
Jamie
[This message has been edited by Jamie Robertson (edited December 15, 2001).]
Stanley Tan
Ranch Hand

Joined: May 17, 2001
Posts: 243
Thanks, yeah, I won't trouble myself anymore and I'll just use the thin drivers.
I don't think there's an advantage to using the OCI drivers, are there?
 
I agree. Here's the link: http://aspose.com/file-tools
 
subject: Oracle Drivers